Generate an outline
curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/outlines/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "A concise introduction to renewable energy",
"n_slides": 6,
"language": "English",
"export_as": "pptx",
"include_title_slide": true
}
'import requests
url = "https://api.presenton.ai/api/v3/presentation/outlines/generate"
payload = {
"content": "A concise introduction to renewable energy",
"n_slides": 6,
"language": "English",
"export_as": "pptx",
"include_title_slide": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'A concise introduction to renewable energy',
n_slides: 6,
language: 'English',
export_as: 'pptx',
include_title_slide: true
})
};
fetch('https://api.presenton.ai/api/v3/presentation/outlines/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
"<string>"
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Generate Presentation Outline
Generate an outline
Generate a presentation outline without creating the final deck.
POST
/
api
/
v3
/
presentation
/
outlines
/
generate
Generate an outline
curl --request POST \
--url https://api.presenton.ai/api/v3/presentation/outlines/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "A concise introduction to renewable energy",
"n_slides": 6,
"language": "English",
"export_as": "pptx",
"include_title_slide": true
}
'import requests
url = "https://api.presenton.ai/api/v3/presentation/outlines/generate"
payload = {
"content": "A concise introduction to renewable energy",
"n_slides": 6,
"language": "English",
"export_as": "pptx",
"include_title_slide": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'A concise introduction to renewable energy',
n_slides: 6,
language: 'English',
export_as: 'pptx',
include_title_slide: true
})
};
fetch('https://api.presenton.ai/api/v3/presentation/outlines/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
"<string>"
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Body
application/json
Response
Successful Response
Was this page helpful?